<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: PzG::FileInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_pz_g_1_1_file_info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_pz_g_1_1_file_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PzG::FileInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Zestaw informacji dotyczący pliku i sposobu rysowania.  
 <a href="class_pz_g_1_1_file_info.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a09603738e0fbc8d6dadda905a5e947d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a09603738e0fbc8d6dadda905a5e947d7">FileInfo</a> (std::string filename, <a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> style, int width)</td></tr>
<tr class="separator:a09603738e0fbc8d6dadda905a5e947d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d23a5d9986ebb89edbd01185a26f10"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">GetFilename</a> () const</td></tr>
<tr class="memdesc:a25d23a5d9986ebb89edbd01185a26f10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Udostępia nazwę pliku do rysowania.  <a href="class_pz_g_1_1_file_info.html#a25d23a5d9986ebb89edbd01185a26f10">More...</a><br /></td></tr>
<tr class="separator:a25d23a5d9986ebb89edbd01185a26f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02c728f892c6f169b738adac8ed9d5f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">SetFilename</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:a02c728f892c6f169b738adac8ed9d5f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę pliku do rysowania.  <a href="class_pz_g_1_1_file_info.html#a02c728f892c6f169b738adac8ed9d5f1">More...</a><br /></td></tr>
<tr class="separator:a02c728f892c6f169b738adac8ed9d5f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a3328daf9365064a98a0dc67f128b8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">GetStyle</a> () const</td></tr>
<tr class="memdesc:aa8a3328daf9365064a98a0dc67f128b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Udostępnia sposób rysowanej linii.  <a href="class_pz_g_1_1_file_info.html#aa8a3328daf9365064a98a0dc67f128b8">More...</a><br /></td></tr>
<tr class="separator:aa8a3328daf9365064a98a0dc67f128b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a336ec97881b709c3bf01d2f27c124e78"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">GetWidth</a> () const</td></tr>
<tr class="memdesc:a336ec97881b709c3bf01d2f27c124e78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Udostępnia informację o szerokości linii.  <a href="class_pz_g_1_1_file_info.html#a336ec97881b709c3bf01d2f27c124e78">More...</a><br /></td></tr>
<tr class="separator:a336ec97881b709c3bf01d2f27c124e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a04f77a755e72bcf379844b15d9f0f3ed"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">filename_</a></td></tr>
<tr class="memdesc:a04f77a755e72bcf379844b15d9f0f3ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazwa pliku z danymi do rysowania.  <a href="class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">More...</a><br /></td></tr>
<tr class="separator:a04f77a755e72bcf379844b15d9f0f3ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a1d3ea502a2604eec731ca50a2b438f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">width_</a></td></tr>
<tr class="memdesc:a1a1d3ea502a2604eec731ca50a2b438f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Szerokość użytego piórka.  <a href="class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">More...</a><br /></td></tr>
<tr class="separator:a1a1d3ea502a2604eec731ca50a2b438f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9141a03aee9840ebe103e4b1b6fa5c9b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">style_</a></td></tr>
<tr class="memdesc:a9141a03aee9840ebe103e4b1b6fa5c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sposób rysowania danej linii.  <a href="class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">More...</a><br /></td></tr>
<tr class="separator:a9141a03aee9840ebe103e4b1b6fa5c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Klasa modeluje zestaw informacji dotyczący pliku i sposobu w jaki mają być wizualizowane zawarte w nim dane. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00057">57</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a09603738e0fbc8d6dadda905a5e947d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09603738e0fbc8d6dadda905a5e947d7">&#9670;&nbsp;</a></span>FileInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PzG::FileInfo::FileInfo </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a>&#160;</td>
          <td class="paramname"><em>style</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>width</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Inicjalizuje obiekt. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>- nazwa pliku, z którego pobierane będą dane, </td></tr>
    <tr><td class="paramname">style</td><td>- rodzaj rysowania linii, </td></tr>
    <tr><td class="paramname">width</td><td>- szerokosc linii. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00065">65</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a25d23a5d9986ebb89edbd01185a26f10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25d23a5d9986ebb89edbd01185a26f10">&#9670;&nbsp;</a></span>GetFilename()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string PzG::FileInfo::GetFilename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Udostępnia nazwę pliku z danymi do rysowania. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00075">75</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="aa8a3328daf9365064a98a0dc67f128b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8a3328daf9365064a98a0dc67f128b8">&#9670;&nbsp;</a></span>GetStyle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> PzG::FileInfo::GetStyle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Udostępnia informację o sposóbie rysowania linii. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00087">87</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="a336ec97881b709c3bf01d2f27c124e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a336ec97881b709c3bf01d2f27c124e78">&#9670;&nbsp;</a></span>GetWidth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PzG::FileInfo::GetWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Udostępnia informację o szerokości rysowanej linii. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00093">93</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="a02c728f892c6f169b738adac8ed9d5f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02c728f892c6f169b738adac8ed9d5f1">&#9670;&nbsp;</a></span>SetFilename()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PzG::FileInfo::SetFilename </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Zmienia nazwę pliku z danymi do rysowania. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00081">81</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a04f77a755e72bcf379844b15d9f0f3ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04f77a755e72bcf379844b15d9f0f3ed">&#9670;&nbsp;</a></span>filename_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string PzG::FileInfo::filename_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Nazwa pliku z danymi do rysowania. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00101">101</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="a9141a03aee9840ebe103e4b1b6fa5c9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9141a03aee9840ebe103e4b1b6fa5c9b">&#9670;&nbsp;</a></span>style_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_pz_g.html#ab0580cdb6bfe9e51d7de2588bc824076">LineStyle</a> PzG::FileInfo::style_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Przechowuje informacje o sposobie rysowania linii. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00114">114</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<a id="a1a1d3ea502a2604eec731ca50a2b438f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a1d3ea502a2604eec731ca50a2b438f">&#9670;&nbsp;</a></span>width_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PzG::FileInfo::width_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Określa szerokość piórka, jakie ma być użyte do rysowania obiektów graficznych. </p>

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8hh_source.html#l00108">108</a> of file <a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_pz_g.html">PzG</a></li><li class="navelem"><a class="el" href="class_pz_g_1_1_file_info.html">FileInfo</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
